From 57f87e5571ef74c8b47119f4fc8c95d3d6fd6864 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Tue, 2 Jun 2009 10:35:31 +0200
Subject: [PATCH] Disable tcl

https://mailman.research.att.com/pipermail/graphviz-interest/2009q1/005987.html

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 graphviz.spec |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

diff --git a/graphviz.spec b/graphviz.spec
index a8b3c29..0d9fcc1 100644
--- a/graphviz.spec
+++ b/graphviz.spec
@@ -166,8 +166,9 @@ BuildRequires: gd gd-devel perl-devel DevIL-devel
 %if 0%{?fedora} >= 8
 %ifnarch %{arm}
 %define R_LANG 1
-BuildRequires: R-devel swig >= 1.3.33
+BuildRequires: R-devel
 %endif
+BuildRequires: swig >= 1.3.33
 %endif
 %if 0%{?fedora} >= 9
 %define MING 0
@@ -175,6 +176,10 @@ BuildRequires: R-devel swig >= 1.3.33
 %endif
 %endif
 
+%ifarch %{arm}
+%define TCL 0
+%endif
+
 #-- main graphviz rpm ------------------------------------------------
 Requires:         urw-fonts
 Requires(post):   /sbin/ldconfig
@@ -639,6 +644,9 @@ rm -rf %{buildroot}
 #-- changelog --------------------------------------------------
 
 %changelog
+* Tue Jun 2 2009 Jitesh Shah <jiteshs@marvell.com> 2.20.3-1.fa2
+- Disable tcl because of this error. https://mailman.research.att.com/pipermail/graphviz-interest/2009q1/005987.html
+
 * Mon Nov 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.20.3-1
 - update to 2.20.3
 
-- 
1.5.5.6

